# web 接口
## swagger 接口文档
![接口文档 swagger](./img/web-swager_001.jpg)
 
* 为保持代码与文档一致，接口说明使用swagger注解写在代码中。controller类及相关对外接口，实体类及属性要编写对应的swagger注解
* swagger可以直接使用提供的接口页面测试。不需安装使用postman ,接口及相关参数在页面上都有明确说明。
* 通过注解自动生成文档，节省编写文档时间
![接口文档 swagger](./img/web-swager_004.jpg)

![接口文档 swagger](./img/web-swager_005.jpg)

点击 try it out 填写相应的参数

![接口文档 swagger](./img/web-swager_006.jpg)
点击 Execute 直接即可进行接口测试

## 标准接口
* 标准通用接口增删改查统计
![接口文档 swagger](./img/web-swager_003.jpg)
* 统一的请求体结构，应答结构
* web端操作符的使用
* 请求体重属性名不区分大小写，应答题返回标准的驼峰命名
* 支持的值类型：int、float、double、boolean、char、date



### 接口定义
* 以对象为主的对象接口 ，唯物主义思想模式定义接口，面向对象编程理念，对象都一致，有相同接口,有利于前段使用接口的标准化，结构化，模块化，提高代码复用性，节约开发测试维护成本；
![接口文档 swagger](./img/web-swager_002.jpg)
* 规范化开发
* 查询条件灵活的多样的
* 专为应用服务的后台，比如数据中心就是围绕着物理世界或中台的壳，面向应用友好，主要针对应用和APP的需求，解决物理世界或中台对应用适配的问题








